from sys import argv
from os import rename
from unidecode import unidecode


for file in argv[1:]:
    rename(file,
           unidecode
           (
               ''.join(ch for ch in file
                       if ch.isalnum()
                       or ch is ' '
                       or ch is '.'
                       or ch is '-')    # dashes are ok
           )
           .replace(' ', '_'))

